<?php

namespace App\Classes\Modules\Documents\Standards\Rules;


use App\Classes\General\Abstracts\AbstractRule;
use App\Classes\Modules\Documents\DataTransferObjects\DocumentObject;

class CanUpdateDocumentReference extends AbstractRule
{
    /**
     * @return bool
     */
    protected function authorized($object): bool
    {
        // TODO  Set Authorization rules
        return true;
    }

    /**
     * @param DocumentObject $object
     * @return bool
     * @throws \App\Classes\Exceptions\RequestValidationException
     */
    protected function validators($object): bool
    {
        return true;
    }

    /**
     * @param DocumentObject $object
     * @return bool
     */
    protected function criteria($object): bool
    {
        return true;
    }

}
